package com.diagbot.dto;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Getter;
import lombok.Setter;

/**
 * 
 * @author wangfeng
 * @Description: 用户信息类表
 * @date 2018年9月17日 下午4:35:35
 */
public class UserInfoDTO implements Serializable{
	
	 private static final long serialVersionUID = 1L;

	    @TableId(value = "id", type = IdType.AUTO)
	    private Long userId;//用户ID
	    private Date userGmtCreate;//记录创建时间
	    private String userName;// 用户名
	    private String linKman;//联系人
	    private String email;// 邮箱
	    @TableId(value = "id", type = IdType.AUTO)
	    private Long orgId;//机构ID
	    private Date orgGmtCreate;//记录创建时间
	    private String orgName;//机构名称
	    private String orgType;//机构属性
	    private String orgPrincipal;//负责人
	    private String orgAddress;//机构地址
	    private Long orgParentId;//上级机构id
	    private Integer orgSubNum;//下属机构数量
	    private String autPosition;//岗位信息
	    private String autIsReject;//是否通过认证 N:未通过，Y:已通过
	    private String autStatus;//认证状态
		public Long getUserId() {
			return userId;
		}
		public void setUserId(Long userId) {
			this.userId = userId;
		}
		public Date getUserGmtCreate() {
			return userGmtCreate;
		}
		public void setUserGmtCreate(Date userGmtCreate) {
			this.userGmtCreate = userGmtCreate;
		}
		public String getUserName() {
			return userName;
		}
		public void setUserName(String userName) {
			this.userName = userName;
		}
		public String getLinKman() {
			return linKman;
		}
		public void setLinKman(String linKman) {
			this.linKman = linKman;
		}
		public String getEmail() {
			return email;
		}
		public void setEmail(String email) {
			this.email = email;
		}
		public Long getOrgId() {
			return orgId;
		}
		public void setOrgId(Long orgId) {
			this.orgId = orgId;
		}
		public Date getOrgGmtCreate() {
			return orgGmtCreate;
		}
		public void setOrgGmtCreate(Date orgGmtCreate) {
			this.orgGmtCreate = orgGmtCreate;
		}
		public String getOrgName() {
			return orgName;
		}
		public void setOrgName(String orgName) {
			this.orgName = orgName;
		}
		public String getOrgType() {
			return orgType;
		}
		public void setOrgType(String orgType) {
			this.orgType = orgType;
		}
		public String getOrgPrincipal() {
			return orgPrincipal;
		}
		public void setOrgPrincipal(String orgPrincipal) {
			this.orgPrincipal = orgPrincipal;
		}
		public String getOrgAddress() {
			return orgAddress;
		}
		public void setOrgAddress(String orgAddress) {
			this.orgAddress = orgAddress;
		}
		public Long getOrgParentId() {
			return orgParentId;
		}
		public void setOrgParentId(Long orgParentId) {
			this.orgParentId = orgParentId;
		}
		public Integer getOrgSubNum() {
			return orgSubNum;
		}
		public void setOrgSubNum(Integer orgSubNum) {
			this.orgSubNum = orgSubNum;
		}
		public String getAutPosition() {
			return autPosition;
		}
		public void setAutPosition(String autPosition) {
			this.autPosition = autPosition;
		}
		public String getAutIsReject() {
			return autIsReject;
		}
		public void setAutIsReject(String autIsReject) {
			this.autIsReject = autIsReject;
		}
		public String getAutStatus() {
			return autStatus;
		}
		public void setAutStatus(String autStatus) {
			this.autStatus = autStatus;
		}
		public static long getSerialversionuid() {
			return serialVersionUID;
		}
		@Override
		public String toString() {
			return "UserInfo [userId=" + userId + ", userGmtCreate=" + userGmtCreate + ", userName=" + userName
					+ ", linKman=" + linKman + ", email=" + email + ", orgId=" + orgId + ", orgGmtCreate="
					+ orgGmtCreate + ", orgName=" + orgName + ", orgType=" + orgType + ", orgPrincipal=" + orgPrincipal
					+ ", orgAddress=" + orgAddress + ", orgParentId=" + orgParentId + ", orgSubNum=" + orgSubNum
					+ ", autPosition=" + autPosition + ", autIsReject=" + autIsReject + ", autStatus=" + autStatus
					+ "]";
		}


		
	    

}
