package com.diagbot.vo;

import java.io.Serializable;
import java.util.Date;

import lombok.Getter;
import lombok.Setter;

/**
 * 
 * @author wangfeng
 * @Description: 用于修改用户信息及机构信息
 * @date 2018年9月18日 下午3:06:58
 */
@Getter
@Setter
public class UserInfoOrganizationsVO implements Serializable {
	
	  private Date gmtModified;//修改时间
	  private String modifier;//修改人id
	  private String email;//邮箱
	  private String principal;//负责人
	  private String address;//单位地址
	  private Integer type;//机构属性
	  private String position;//岗位部门
	  private Long userId;//用户id
}
